# syntax=docker/dockerfile:1.4
# ^^ Needed for HEREDOC syntax
FROM hasura/graphql-engine:latest.cli-migrations-v3

RUN apt-get update && apt-get install -y git && rm -rf /var/lib/apt/lists/*

ENV HASURA_GRAPHQL_SHOW_UPDATE_NOTIFICATION=false
ENV HASURA_GRAPHQL_CLI_ENVIRONMENT=server-on-docker

# Copy off the original docker entrypoint, we will need that
RUN mv /usr/bin/docker-entrypoint.sh /usr/bin/docker-entrypoint-hasura.sh
# Make a new entrypoint that will clone the repo and setup vars for the original
COPY git-deploy-entrypoint.sh /usr/bin/docker-entrypoint.sh

RUN chmod a+x /usr/bin/docker-entrypoint.sh

WORKDIR /

ENTRYPOINT [ "/usr/bin/docker-entrypoint.sh" ]
CMD [ "${HGE_BINARY} serve" ]
